Bug 1474087 - python3 3.6.1-8 cannot be updated when python3-docs is installed
python3 3.6.1-8 cannot be updated when python3-docs is installed
Status: NEW
Product: Fedora
Classification: Fedora
Component: python3-docs (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Charalampos Stratakis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-23 15:20 EDT by Christian Stadelmann
Modified: 2018-05-12 07:19 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1577486 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Stadelmann 2017-07-23 15:20:14 EDT
Version-Release number of selected component (if applicable):
installed: python3-docs-3.6.1-1.fc26.noarch, python3-3.6.1-8.fc26.x86_64
trying to update to: python3-3.6.2-1.fc26

How reproducible:
always

Steps to Reproduce:
1. have python3-docs 3.6.1-1.fc26 and python3-3.6.1-8.fc26 installed
2. try to update python3 to python3-3.6.2-1.fc26

Actual results:
dnf does not update python3, it tells me that there are broken dependencies. When trying the suggested solution, adding `--best --allowerasing` to dnf command line, dnf tries to remove python3-docs.

Expected results:
Update just fine

Additional info:
It looks like either python3-docs must be updated whenever python3 changes its micro version, or the version dependency in https://src.fedoraproject.org/cgit/rpms/python3-docs.git/tree/python3-docs.spec?h=f26#n29 should be more relaxed.
Comment 1 Charalampos Stratakis 2017-07-24 05:25:21 EDT
Built the latest versions and it's currently on its way to updates-testing.

Will keep the bugzilla open to track the version dependency issue.
Comment 2 Barry Scott 2017-07-26 16:50:56 EDT
I worked around the repo problem by installing the RPM from Koji.

Does the rebuild fix what is in the repo?

How did all of the python 3.6.2 RPMs except python3-docs make into the
repo?

Barry
Comment 3 Barry Scott 2017-07-26 16:53:34 EDT
Here is the Koji page for anyone needing the work around.

https://koji.fedoraproject.org/koji/buildinfo?buildID=921385
Comment 4 Christian Stadelmann 2017-07-26 16:58:33 EDT
(In reply to Charalampos Stratakis from comment #1)
> Built the latest versions and it's currently on its way to updates-testing.

Works fine, thanks!

> Will keep the bugzilla open to track the version dependency issue.

It should be as simple as setting the version dependency from "=" to ">=". Python-docs does not hard depend on anything except a browser, as far as I know. Maybe it provides some tools which expect a specific version, but as python has pretty good backwards compatibility, especially on micro versions, having a higher python3 version than python3-docs is, it should be fine.

(In reply to Barry Scott from comment #2)
> I worked around the repo problem by installing the RPM from Koji.

You should now be able to update your computer using dnf or Packagekit or whatever frontend you are using.

> Does the rebuild fix what is in the repo?

The rebuild does not fix anything, as cstratak wrote above. Since the rebuild does provide python3-docs in version 3.6.2, dnf/rpm will no longer complain about missing dependencies and will update python3.

> How did all of the python 3.6.2 RPMs except python3-docs make into the
> repo?

python3-docs is a separate source package, so it can (and will!) be built at different times than python3.
Comment 5 Petr Viktorin 2018-01-25 08:50:32 EST
Let's change it to Recommends instead of Requires.
Comment 6 Fedora End Of Life 2018-05-03 04:38:29 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Miro Hrončok 2018-05-10 08:35:53 EDT
This has been fixed in rawhide https://src.fedoraproject.org/rpms/python3-docs/c/aaa90c9c4608f6c39a4e4f03314514f9717c3799?branch=master

Should we backport it to older Fedoras?
Comment 8 Christian Stadelmann 2018-05-10 09:50:04 EDT
(In reply to Miro Hrončok from comment #7)
> This has been fixed in rawhide
> https://src.fedoraproject.org/rpms/python3-docs/c/
> aaa90c9c4608f6c39a4e4f03314514f9717c3799?branch=master
> 
> Should we backport it to older Fedoras?

I think so. It just hit me again when updating Python 2 on Fedora 27.

Note You need to log in before you can comment on or make changes to this bug.